@import "narrow.css" screen and (max-width: 70em);
@import "wide.css" screen and (min-width: 70.01em);
@import "superwide.css" screen and (min-width: 90em);

* {
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    height: 100%;
    width: 100%;
}

body {
    height: 100%;
    width: 100%;
}

footer {
    float: left;
    width: 100%;
    height: 1.5em;
    text-align: center;
    background-color: dimgray;
}

footer * {
    color: white;
    font-size: 1em;
    margin: 0.1em;
}

input, select{ 
    border-radius: 6px;
    font-size: 1em;
    margin: 0;
    outline: 0;
    border: 1px solid #aaaaaa;
    padding: 8px;
} 

.pageWrapper {
    float: left;
    width: 100%;
    min-height: 100%;
    margin-bottom: -1.5em;
    padding-bottom: 2.5em;
    padding-left: 1em;
    padding-right: 1em;
    clear: both;
    background-color: silver;
}

.menuButton {
    cursor: pointer;
    width: 3em;
    height: 3em;
    position: absolute;
    top: 1em;
    right: 1em;
    background-color: white;
    display: none;
    background: repeating-linear-gradient(
    0deg,
    black,
    black 0.3em,
    lightgray 1px,
    lightgray 1.2em);
}

.menuButton.active {
    background: repeating-linear-gradient(
    90deg,
    black,
    black 0.3em,
    lightgray 1px,
    lightgray 1.2em);
}

.drawer-menu a:link, a:visited {
    float: left;
    text-decoration: none;
    background-color: #EEEEEE;
    color: black;
    width: 100%;
    padding: 1em;
    background-color: lightgray;
    border-style: solid;
    border-width: 2px;
    border-radius: 1em;
}

.drawer-menu a:hover {
    background-color: whitesmoke;
}

.jsMenu {
    position: absolute;
    top: 5em;
    right: 0px;
    width: 50%;
    padding: 1em;
    height: calc(100% - 6.5em);
    background-color: lightgray;
    display: none;
}

.jsMenu a:link, a:visited {
    float: left;
    text-decoration: none;
    background-color: #EEEEEE;
    color: black;
    width: 100%;
    padding: 1em;
    background-color: lightgray;
    border-style: solid;
    border-width: 2px;
    border-radius: 1em;
}

/* Widget formats */
.loginform {
    float:none;
    margin-left: auto;
    margin-right:auto;
    background-color: lightslategray;
}

.panel input {
    width: 100%;
}

.panel li:not(:last-child) > input {
    margin-bottom: 0.5em;
}

.nomarker li {
    list-style-type: none;
    display: table;
    width: 100%;
}

.panel ul:not(:last-child) {
    margin-bottom: 1.5em;
}

.panel label {
    float: left;
}

.panel a:link, a:visited {
    text-decoration: none;
    color: black;
}

.dataDisplay {
    margin-bottom: 0.5em;
    min-height: 1em;
}

input.checkbox {
    width: auto;
}

input.buttonSubmit {
    float: right;
    width: auto;
}

.inputInvalid {
    color: red;
    float: right;
    padding-right: 3em;
}

table.list {
    border-width: 0.2em;
    border-style: solid;
    border-collapse: collapse;
}

.list th, td {
    text-align: left;
    padding: 0.1em 0.2em;
    border-width: 0.1em;
    border-style: solid;
}
